Subject: bug#10444: closed (Re: [PATCHES] {master} dist: distdir not unconditionally removed anymore for xz and lzip)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jan 2012 18:00:02 +0000

Your bug report

#10444: "make dist" fails if more than two compression formats are used

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10444: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10444
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCHES] {master} dist: distdir not unconditionally removed anymore for xz and lzip
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 11 Jan 2012 18:59:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 01/08/2012 10:19 AM, Stefano Lattarini wrote:
> References:
>  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10444>
>  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10448>
> 
> I will push the patches to master in a day or two if there is no objection.
> 
Pushed now.

Thanks,
  Stefano

Subject: "make dist" fails if more than two compression formats are used
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Date: Fri, 06 Jan 2012 20:18:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: grave

If I try to run "make dist" from an autoamke master checkout, I see this error:

  tardir=automake-1.11a && ${TAR-tar} chof - "$tardir" \
    | XZ_OPT=${XZ_OPT--e} xz -c >automake-1.11a.tar.xz
  ## The distdir gets removed ##
  ... rm -fr "automake-1.11a" ...
  ## And then make tries to tar it again ##
  tardir=automake-1.11a && ${TAR-tar} chof - "$tardir" \
    | GZIP=--best gzip -c >automake-1.11a.tar.gz
  ## Failure ensues
  tar: automake-1.11a: Cannot stat: No such file or directory
  tar: Exiting with failure status due to previous errors

This is pretty bad.  What is even worse is that the error is very likely to go
unnoticed (it has until now), since, due to implementation reasons, the `tar'
failure isn't reflected in the exit status of "make dist".

I will try to follow-up on this soonish.

Regards,
  Stefano